<?php
namespace Pinpoint\SocialIcons\Block;

class ColorPicker extends \Magento\Config\Block\System\Config\Form\Field {

   
    public function __construct(
    \Magento\Backend\Block\Template\Context $context, array $data = []
    ) {
        parent::__construct($context, $data);
    }

    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element) {
        $html = $element->getElementHtml();
        $value = $element->getData('value');

        $html .= '<script type="text/javascript">
            require(["jquery","jquery/colorpicker/js/colorpicker"], function ($) {
                $(document).ready(function () {
                    var $currentelement = $("#' . $element->getHtmlId() . '");

                    // Attach the color picker
                    $currentelement.ColorPicker({
                        color: "'. $value .'",
                        onChange: function (hsb, hex, rgb) {
                            // $el.css("backgroundColor", "#" + hex).val("#" + hex);
                            $currentelement.val("#" + hex);
                        }
                    });
                });
            });
            </script>';
        return $html;
    }

}